# Contributing

Do you want to contribute to NATS? Awesome! We’d love your help.

The best way to get started contributing to NATS is to read our [Contributor’s Guide](https://nats.io/contributing/). Here are some examples of ways you can contribute:

* Report or fix bugs
* Add or propose new features
* Improve our documentation
* Add or update client libraries
* Host a Meetup
* Improve this website

Please [contact us](mailto:info@nats.io) with any other suggestions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nats.io/reference/contributing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
